Package org.kie.api.runtime.query

## Class AdvancedQueryContext

- java.lang.Object
- - org.kie.api.runtime.query.QueryContext
  - - org.kie.api.runtime.query.AdvancedQueryContext

- All Implemented Interfaces:
    `Serializable`

      public class AdvancedQueryContext
      extends QueryContext

  Extension class to the basic ordering and pagination queries which use `QueryContext`. The AdvancedQueryContext is intended for use wherever advanced query functionality provided by the KIE Query Service which provides advanced search capabilities that are based on Dashbuilder DataSets.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.kie.api.runtime.query.QueryContext

      `ascending, count, offset, orderBy`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AdvancedQueryContext()` |
    `AdvancedQueryContext​(String orderByClause)` |
    `AdvancedQueryContext​(QueryContext queryContext)` |
    `AdvancedQueryContext​(QueryContext queryContext, String orderByClause)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getOrderByClause()` |
    `void` | `setOrderByClause​(String orderByClause)` | Set the ORDER BY clause for advanced query.

    - ### Methods inherited from class org.kie.api.runtime.query.QueryContext

      `clear, getCount, getOffset, getOrderBy, isAscending, setAscending, setCount, setOffset, setOrderBy`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AdvancedQueryContext

          public AdvancedQueryContext()

    - #### AdvancedQueryContext

          public AdvancedQueryContext​(QueryContext queryContext)

    - #### AdvancedQueryContext

          public AdvancedQueryContext​(QueryContext queryContext,
                                      String orderByClause)

    - #### AdvancedQueryContext

          public AdvancedQueryContext​(String orderByClause)

  - ### Method Detail

    - #### getOrderByClause

          public String getOrderByClause()

      Returns:
        the SQL Order By clause

    - #### setOrderByClause

          public void setOrderByClause​(String orderByClause)

      Set the ORDER BY clause for advanced query. For instance: SELECT * FROM PROCESSINSTANCELOG ORDER BY PROCESSID ASC, PROCESSINSTANCEID DESC has orderByClause of "PROCESSID ASC, PROCESSINSTANCEID DESC"
      Parameters:
        `orderByClause` - the SQL Order By clause to set